Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113135 - bwm-ng: FTBFS in Fedora rawhide/f37
Summary: bwm-ng: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bwm-ng
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Orling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:18 UTC by Fedora Release Engineering
Modified: 2023-03-11 03:09 UTC (History)
5 users (show)

Fixed In Version: bwm-ng-0.6.3-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-11 03:09:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:18 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:18 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:18 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:18:36 UTC
bwm-ng failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89758584


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix bwm-ng at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bwm-ng will be orphaned. Before branching of Fedora 38,
bwm-ng will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:18:39 UTC
Created attachment 1900852 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:18:40 UTC
Created attachment 1900853 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:18:42 UTC
Created attachment 1900854 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:24:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Jonathan Wakely 2023-02-02 12:18:40 UTC
output.c: In function 'print_header':
output.c:156:13: error: format not a string literal and no format arguments [-Werror=format-security]
  156 |             wprintw(stdscr,show_all_if2str());
      |             ^~~~~~~


Also:

input/proc_diskstats.c: In function 'get_disk_stats_proc':
input/proc_diskstats.c:164:41: warning: pointer 'buffer_67' used after 'free' [-Wuse-after-free]
  164 |                                         deinit(1, "wrong format of procfile. %i: %s\n",n,buffer);
      |                                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
input/proc_diskstats.c:163:41: note: call to 'free' here
  163 |                                         free(buffer);
      |                                         ^~~~~~~~~~~~

Comment 6 Jonathan Wakely 2023-02-02 12:21:04 UTC
Fixes available upstream:
https://github.com/vgropp/bwm-ng/pull/37
https://github.com/vgropp/bwm-ng/pull/42

Comment 7 Jonathan Wakely 2023-02-02 12:28:14 UTC
https://github.com/vgropp/bwm-ng/pull/25 is also needed, but I've fixed that on rawhide.

The simplest solution is probably to just update to the upstream 0.6.3 release.

Comment 8 Fedora Update System 2023-02-25 09:11:00 UTC
FEDORA-2023-5a90f912e9 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5a90f912e9

Comment 9 Fedora Update System 2023-02-25 09:13:52 UTC
FEDORA-2023-6dcad23d31 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6dcad23d31

Comment 10 Fedora Update System 2023-02-26 02:02:01 UTC
FEDORA-2023-5a90f912e9 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5a90f912e9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-02-26 02:02:51 UTC
FEDORA-2023-6dcad23d31 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6dcad23d31`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6dcad23d31

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-03-06 02:14:25 UTC
FEDORA-2023-6dcad23d31 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2023-03-11 03:09:26 UTC
FEDORA-2023-5a90f912e9 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.